Kerbal Space Program - Bug #3847

Rockets get stuck on the Launchpad (again).
12/16/2014 08:18 AM - MalfunctionM1Ke

Status: Closed Start date: 12/16/2014
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.90 Language: English (US)
Platform: Win32 Mod Related: No
Expansion:

Description

First of, | think | remember that this was an Issue way back in a pre .20 version of KSP.

My rocket gets stuck on the Launchpad after Launching a vessel with a positive TWR (1.6) and standing on the Nozzle of a RT-10
Booster (no launchclamps). X

The Craft finally lifts off after it tilted over by 5-10A° to one side... if you are lucky

Craftfile and pictures attaches.

Pls check the category | 've put this in.

History

#1 - 12/16/2014 01:05 PM - Kerolyov
- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed for me too. For me it occurred with different rocket design on Tier 2 launchpad. Did you see this in career or sandbox game? If career
what level was the pad upgraded to?

#2 - 12/16/2014 01:18 PM - Kerolyov
- File StuckOnPad.craft added

#3 - 12/16/2014 03:11 PM - RexKramer
I built a craft identical to the one in the pictures. It does not appear to have a TWR >1.
1. Launched as pictured. Ship did not move.

2. Launched with launch clamps. Ship slowly sank to the launch pad, as the thrust from the RT10 does not provide TWR > 1.
3. Removed 2/3 of the solid fuel from the large booster. Ship Launched normally.

#4 - 12/16/2014 03:30 PM - RexKramer

While the ship posted does not have a TWR>1, | was able to duplicate this with a ship that does have a TWR >1.

I built an identical ship, and removed some solid rocket fuel from the large booster, to get the mass down to 20, giving a TWR of about 1.3.

That ship did not lift off the pad alone. However, it did launch normally using launch clamps. That would confirm the rocket is sticking to the pad, and
not simply underpowered.

| was using the Level 2 pad in career.

#5 - 12/16/2014 03:45 PM - MalfunctionM1Ke

Hi Rex,

please dont refer to replicated crafts. | did add the craft-file of the ship | used in the attachment above.
You might notice that the upper solid rocket booster is not completly filled with fuel...

name = SolidFuel
amount = 1000.00001490116
maxAmount = 2500
flowState = True
isTweakable = True
hideFlow = False
flowMode = Both

Please always refer to attached craftfiles rather than replicating.

#6 - 12/17/2014 05:31 AM - Katateochi

| have also had an issue of being stuck on the Tier 2 launch pad. I'd built a rocket while still on T1 launch pad and it launched fine. Same rocket on
the tier 2 pad and it wouldn't lift off. As MalfunctionM1Ke says, tilting it managed to get it free. | also found that going to 4x physics warp could free it.
Some pics of my experience with this here -http://forum.kerbalspaceprogram.com/threads/103452-Stuck-on-the-2nd-tier-launch-pad

#7 - 12/17/2014 07:14 AM - Kerolyov

I've been playing around with this issue and have reported this issue to the testing team. | found the following things:-

1) Only seems to be a problem with the Tier 2 pad

2) Seems to be mass (~ 25-30t or more causes sticking) dependent but is not a TWR problem as all craft tested will launch if launch clamps used ->
Maybe weight is pushing craft down into pad?

3) Sometimes if craft tilts over it can break free

4) Tested on mod free installation

5) Issue seen with various engines, T30, T45 and BACC & RT10 Boosters, so looks unlikely to be thrust transform issue

6) Position on pad seems to be important, with just off centre being worse

Most likely explanation is engines clipping into pad but taking Kerbal for EVA doesn't result in him apparently clipping into the pad.
Using launchclamps is a workaround for this issue

#8 - 01/02/2015 08:20 PM - matttherecluse
- File Orbital Science 1.craft added

| have also just experienced this with multiple craft on the Tier 2 launch pad. | was working around it through using various means to break the craft
free. | finally upgraded the launch pad to Tier 3 and was expecting the problem to go away, but the first craft | tried on it (attached) still experienced
that problem. Just thought | would update this to add that | had experienced the bug with tier 3 launch pad as well.

#9 - 01/02/2015 09:50 PM - Squelch
- Status changed from Confirmed to Need More Info

- % Done changed from 10 to 0

matttherecluse wrote:

Just thought | would update this to add that | had experienced the bug with tier 3 launch pad as well.

I'm afraid your craft appears to be using mod parts, so won't load in a stock game. This is particularly important due to the possible cause of this
issue, so your additional report for tier 3 pads must be treated with suspicion.

There is a possible link between certain rocket parts (engines) and potential clipping through the launch pad. This may be due to where the thrust
transform is applied, so any clipping due to high mass may actually mean that the thrust is being applied below the surface and never able to break
free under normal conditions. This is still a theory, but empirical tests seem to support this hypothesis. Launch clamps do alleviate the problem which
further supports the clipping theory.

This problem only appears to affect vessels standing with the engines directly on the launchpad. Not all vessels are affected, and low mass vessels
seem less likely to "stick"

To aid a better understanding of this issue, could we please try to identify which engines are affected?

This issue remains confirmed with the supplied craft, but | have marked it as needing more information so we can collate the affected part/mass/pad
combinations.

#10 - 01/06/2015 09:19 AM - civil
- File 2015-01-06_00002.jpg added
- File 2015-01-06_00005.jpg added
- File 2015-01-06_00007.jpg added

Hi,
Confirmed for me too.
| have a very simple design, which was working on the un-upgraded launch pad but which refuses to launch after upgrading the pad.
While rocking to the side frees it from the ground, if | add a girder segment underneath (I don't have launch clamps yet) it remains stuck to the pad.
(this actually seems to make it worse, remaining stuck until it falls almost the whole way over)

#11 - 01/11/2015 09:55 AM - Ape_Descendant
- File Double T30 _11_6t.craft added
- File Double T30 22 3t.craft added
- File Double T30 22 9t.craft added
- File Double T30 24 6t.craft added
- File Double T30 24 9t.craft added
- File Double T45 22 6t.craft added

So | had a little play with this to see if rocket mass was the only factor, which i dont think it is. | tried various rockets from 11.6tonnes to 24.9tonnes
(craft files attached, one of them may have accidentally still had the flight engineer chip attached but it donst seem to make a difference).

The results were:

11.6t - Normal lift-off

22.3t - Normal lift-off

22.9t - Normal lift-off (although there may have been a fraction of a second sticking but may have been my eyes playing tricks on me)
24.6t - Stuck to launch pad, could wiggle free

24.9t - Stuck to launch pad, could wiggle free

22.6t with T45 engines - Switched the engines and made it lighter again and this sticks to launchpad.
#12 - 05/02/2015 01:53 PM - Klox

- File A.craft added
- File Matt.zip added

| see this problem often. Attached is my craft file and complete save.
I launched this craft last night without any problems. This morning, the craft is stuck. No changes except exiting the game and restarting.

KSP 1.0.2, No mods.

Level 2 launch pad.

Two T45 engines on the launch pad.
22.2t, 30 parts.

| tried launching at least 4 times and it was stuck every time. The last time | tipped the craft while under thrust and it finally broke free at about 45
degrees.

Finally, | exited KSP, restored my save, started KSP, loaded the craft, removed the T45s and re-added them, then launched without sticking.

#13 - 05/02/2015 11:39 PM - Ruedii

I've encountered this bug several times as well. Usually | just add launch clamps to address the problem. However, it is a rather annoying collision
map bug.

#14 - 07/27/2015 05:56 PM - Squelch
- Platform Win32 added
- Platform deleted (Windows)

#15 - 03/09/2016 06:58 PM - Rodhern

I run a quite modded version 1.0.5. of the game, but it seems this problem can still happen from time to time. My example is the lowest level launch
pad and a rocket with two T30s that unsticks/lifts off at TWR 1.6 instead of 1.0 as you would expect. | don't know if the rocket unsticks because of the
TWR in itself or it is the decreased mass because of burned fuel.

#16 - 07/17/2016 09:43 AM - TriggerAu

- Status changed from Need More Info to Needs Clarification

#17 - 06/20/2019 12:49 AM - just_jim
- Status changed from Needs Clarification to Resolved

- % Done changed from 0 to 100
| tried this a dozen different ways in version 1.7.2, including using the attached vessels, and | cannot reproduce it. | suspect this is no longer an issue

#18 - 06/20/2019 04:34 PM - chris.fulton

- Status changed from Resolved to Closed
